Last modified: 7 April 2009
Name: H5Screate
Signature:
  hid_t `H5Screate`(H5S_class_t `type`)

Purpose:
  Creates a new dataspace of a specified type.

Description:
  `H5Screate` creates a new dataspace of a particular `type`. The types currently supported are `H5S_SCALAR` and `H5S_SIMPLE`; others may be added later.

  A scalar dataspace, `H5S_SCALAR`, has a single element, though that element may be of a complex datatype, such as a compound or array datatype. By convention, the rank of a scalar dataspace is always `0` (zero); think of it geometrically as a single, dimensionless point, though that point can be complex.

  A simple dataspace, `H5S_SIMPLE`, consists of a regular array of elements.

Parameters:

H5S_class_t `type` | The type of dataspace to be created.

Returns:
  Returns a dataspace identifier if successful; otherwise returns a negative value.

Fortran90 Interface: h5screate_f

      SUBROUTINE h5screate_f(classtype, space_id, hdferr)
        IMPLICIT NONE
        INTEGER, INTENT(IN) :: classtype        ! The type of the dataspace
                                                ! to be created. Possible values
                                                ! are:
                                                !    H5S_SCALAR_F
                                                !    H5S_SIMPLE_F
        INTEGER(HID_T), INTENT(OUT) :: space_id ! Dataspace identifier
        INTEGER, INTENT(OUT) :: hdferr          ! Error code
                                                ! 0 on success and -1 on failure
      END SUBROUTINE h5screate_f